# Tugas GraphQL Mutate

Ini adalah tugas yang memanggil GraphQL mutate API yang disediakan oleh server. Ketika menulis MutationQuery, pengolahan variabel dapat dilakukan dengan dua cara, dan disarankan menggunakan Metode 2.

Metode 1: Anda dapat menggunakan data dan variabel dari konteks skenario, serta [variabel internal skrip](../concept/script-internal-variables.md). Metode ini cocok untuk menerapkan variabel string.

```graphql
mutation {
  syncAllMarketplaceOrder(fromDate: "${this.variables.fromDate}", toDate: "${this.variables.toDate}") {
    ...
  }

  removeTagFromObject(tag: "${this.data.tag}") {
    ...
  }
}
```

Metode 2: Tentukan variabel yang akan digunakan dalam `variabel`, dan gunakan pengolahan variabel GraphQL. Nilai dari `variabel` dapat ditentukan sebagai akses data dalam konteks skenario. Metode ini cocok untuk menerapkan variabel tipe objek.

```graphql
mutation($fromDate: String!, $toDate: String!) {
  syncAllMarketplaceOrder(fromDate: $fromDate, toDate: $toDate) {
    ...
  }

  removeTagFromObject(tag: $tag) {
    ...
  }
}
```

## Parameter

- `mutation`

  - Masukkan kueri mutasi GraphQL.

- `variables`
  - Tentukan variabel yang akan digunakan dalam kueri GraphQL.
  - Tentukan nama variabel sebagai kunci, dan atur akses data yang sesuai dengan nilai variabel sebagai nilai.
